framework:
    secret: '%env(APP_SECRET)%'
    #csrf_protection: true
    http_method_override: false
    handle_all_throwables: true

    # Enables session support. Note that the session will ONLY be started if you read or write from it.
    session:
        handler_id: null
        cookie_secure: auto
        cookie_samesite: lax
        storage_factory_id: session.storage.factory.native

    # Note that the path separator for nested parameters is a period
    php_errors:
        log: true

    translator:
        default_path: '%kernel.project_dir%/translations'
        fallbacks:
            - fr
        paths:
            - '%kernel.project_dir%/translations'

    validation:
        email_validation_mode: html5

    default_locale: '%env(LOCALE)%'

    annotations:
        cache: none

    # form:
    #     legacy_error_messages: false

when@test:
    framework:
        test: true
        session:
            storage_factory_id: session.storage.factory.mock_file
